Package com.sas.lsaf.clinical.tlf

## Class TlfImportInfo

- java.lang.Object
- - com.sas.lsaf.clinical.tlf.TlfImportInfo

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `TlfTemplateImportInfo`

      public class TlfImportInfo
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents all of the details to import of TLFs.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TlfImportInfo()` | Constructor.
    `TlfImportInfo​(java.lang.String sectionsFilePath, java.lang.String sectionsFileVersion, java.lang.String tlfsFilePath, java.lang.String tlfsFileVersion, SourceLocation importFileSourceLocation, UpdateAction updateAction)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDataSetsFilePath()` | Gets the path to the import file to update the data sets.
    `java.lang.String` | `getDataSetsFileVersion()` | Gets the version of the data sets import file.
    `SourceLocation` | `getImportFileSourceLocation()` | Gets the source location (repository or workspace) of the import file.
    `java.lang.String` | `getResultsFilePath()` | Gets the path to the import file to update the results.
    `java.lang.String` | `getResultsFileVersion()` | Gets the version of the results import file.
    `java.lang.String` | `getSectionsFilePath()` | Gets the path to the import file to update the sections.
    `java.lang.String` | `getSectionsFileVersion()` | Gets the version of the sections import file.
    `java.lang.String` | `getTlfsFilePath()` | Gets the path to the import file for updating TLFs.
    `java.lang.String` | `getTlfsFileVersion()` | Gets the version of the TLFs import file.
    `UpdateAction` | `getUpdateAction()` | Gets the type of update to make when importing, such as `replace` or `add new`.
    `void` | `setDataSetsFilePath​(java.lang.String dataSetsFilePath)` | Sets the path to the import file to update the data sets.
    `void` | `setDataSetsFileVersion​(java.lang.String dataSetsFileVersion)` | Sets the version of the data sets import file.
    `void` | `setImportFileSourceLocation​(SourceLocation importFileSourceLocation)` | Sets the source location (repository or workspace) of the import file.
    `void` | `setResultsFilePath​(java.lang.String resultsFilePath)` | Sets the path to the import file to update the results.
    `void` | `setResultsFileVersion​(java.lang.String resultsFileVersion)` | Sets the version of the results import file.
    `void` | `setSectionsFilePath​(java.lang.String sectionsFilePath)` | Sets the path to the import file to update the sections.
    `void` | `setSectionsFileVersion​(java.lang.String sectionsFileVersion)` | Sets the version of the sections import file.
    `void` | `setTlfsFilePath​(java.lang.String tlfsFilePath)` | Sets the path to the import file to update TLFs.
    `void` | `setTlfsFileVersion​(java.lang.String tlfsFileVersion)` | Sets the version of the TLFs import file.
    `void` | `setUpdateAction​(UpdateAction updateAction)` | Sets the type of update to make when importing, such as `replace` or `add new`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TlfImportInfo

          public TlfImportInfo()

      Constructor.

    - #### TlfImportInfo

          public TlfImportInfo​(java.lang.String sectionsFilePath,
                               java.lang.String sectionsFileVersion,
                               java.lang.String tlfsFilePath,
                               java.lang.String tlfsFileVersion,
                               SourceLocation importFileSourceLocation,
                               UpdateAction updateAction)

      Constructor.
      Parameters:
        `sectionsFilePath` - The path of the import file to update the TLF sections.
        `sectionsFileVersion` - The version of the TLF sections import file.
        `tlfsFilePath` - The path to the import file to update the TLFs.
        `tlfsFileVersion` - The version of the TLFs import file.
        `importFileSourceLocation` - The source location (repository or workspace) of the import file.
        `updateAction` - The type of update to make when importing, such as `replace` or `add new`.

  - ### Method Detail

    - #### getSectionsFilePath

          public java.lang.String getSectionsFilePath()

      Gets the path to the import file to update the sections.
      Returns:
        The path.

    - #### setSectionsFilePath

          public void setSectionsFilePath​(java.lang.String sectionsFilePath)

      Sets the path to the import file to update the sections.
      Parameters:
        `sectionsFilePath` - The path to the import file to update the sections.

    - #### getSectionsFileVersion

          public java.lang.String getSectionsFileVersion()

      Gets the version of the sections import file. If null, the latest version is used.
      Returns:
        The version.

    - #### setSectionsFileVersion

          public void setSectionsFileVersion​(java.lang.String sectionsFileVersion)

      Sets the version of the sections import file. If null, the latest version is used.
      Parameters:
        `sectionsFileVersion` - The version of the sections import file.

    - #### getTlfsFilePath

          public java.lang.String getTlfsFilePath()

      Gets the path to the import file for updating TLFs.
      Returns:
        The path.

    - #### setTlfsFilePath

          public void setTlfsFilePath​(java.lang.String tlfsFilePath)

      Sets the path to the import file to update TLFs.
      Parameters:
        `tlfsFilePath` - The path to the import file to update TLFs.

    - #### getTlfsFileVersion

          public java.lang.String getTlfsFileVersion()

      Gets the version of the TLFs import file. If null, the latest version is used.
      Returns:
        The version.

    - #### setTlfsFileVersion

          public void setTlfsFileVersion​(java.lang.String tlfsFileVersion)

      Sets the version of the TLFs import file. If null, the latest version is used.
      Parameters:
        `tlfsFileVersion` - The version of the TLFs import file.

    - #### getResultsFilePath

          public java.lang.String getResultsFilePath()

      Gets the path to the import file to update the results.
      Returns:
        The path.

    - #### setResultsFilePath

          public void setResultsFilePath​(java.lang.String resultsFilePath)

      Sets the path to the import file to update the results.
      Parameters:
        `resultsFilePath` - The path to the import file to update the results.

    - #### getResultsFileVersion

          public java.lang.String getResultsFileVersion()

      Gets the version of the results import file. If null, the latest version is used.
      Returns:
        The version.

    - #### setResultsFileVersion

          public void setResultsFileVersion​(java.lang.String resultsFileVersion)

      Sets the version of the results import file. If null, the latest version is used.
      Parameters:
        `resultsFileVersion` - The version of the results import file.

    - #### getDataSetsFilePath

          public java.lang.String getDataSetsFilePath()

      Gets the path to the import file to update the data sets.
      Returns:
        The path.

    - #### setDataSetsFilePath

          public void setDataSetsFilePath​(java.lang.String dataSetsFilePath)

      Sets the path to the import file to update the data sets.
      Parameters:
        `dataSetsFilePath` - The path to the import file to update the data sets.

    - #### getDataSetsFileVersion

          public java.lang.String getDataSetsFileVersion()

      Gets the version of the data sets import file. If null, the latest version is used.
      Returns:
        The version.

    - #### setDataSetsFileVersion

          public void setDataSetsFileVersion​(java.lang.String dataSetsFileVersion)

      Sets the version of the data sets import file. If null, the latest version is used.
      Parameters:
        `dataSetsFileVersion` - The version of the data sets import file.

    - #### getImportFileSourceLocation

          public SourceLocation getImportFileSourceLocation()

      Gets the source location (repository or workspace) of the import file.
      Returns:
        The source location.

    - #### setImportFileSourceLocation

          public void setImportFileSourceLocation​(SourceLocation importFileSourceLocation)

      Sets the source location (repository or workspace) of the import file.
      Parameters:
        `importFileSourceLocation` - The source location (repository or workspace) of the import file.

    - #### getUpdateAction

          public UpdateAction getUpdateAction()

      Gets the type of update to make when importing, such as `replace` or `add new`.
      Returns:
        The update action.

    - #### setUpdateAction

          public void setUpdateAction​(UpdateAction updateAction)

      Sets the type of update to make when importing, such as `replace` or `add new`.
      Parameters:
        `updateAction` - The update action to perform when updating information from an import.